Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.servlet
Class ServletHolder.Config

    java.lang.Object
      org.eclipse.jetty.servlet.Holder.HolderConfig
          org.eclipse.jetty.servlet.ServletHolder.Config

All Implemented Interfaces:
  ServletConfig

Enclosing class:
  ServletHolder

    protected class ServletHolder.Config

extends Holder.HolderConfig
implements ServletConfig

Constructor Summary
`protected` | `ServletHolder.Config()`

Method Summary
`java.lang.String` | `getServletName()` Returns the name of this servlet instance.

Methods inherited from class org.eclipse.jetty.servlet.Holder.HolderConfig
`getInitParameter, getInitParameterNames, getServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletConfig
`getInitParameter, getInitParameterNames, getServletContext`

Constructor Detail

### ServletHolder.Config

    protected ServletHolder.Config()

Method Detail

### getServletName

    public java.lang.String getServletName()

  Description copied from interface: `ServletConfig`
  Returns the name of this servlet instance. The name may be provided via server administration, assigned in the web application deployment descriptor, or for an unregistered (and thus unnamed) servlet instance it will be the servlet's class name.

  Specified by:
    `getServletName` in interface `ServletConfig`
  Returns:
    the name of the servlet instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.